version: "3.1"
services:
  postgres:
    container_name: postgresdb
    image: postgres:latest
    environment:
      POSTGRES_HOST: postgres
      POSTGRES_PASSWORD: adminuser
      POSTGRES_USER: adminuser
      POSTGRES_DB: movieapp    
    ports:
      - 5432
    restart: always
  nginx:
    depends_on:
      - api
      - client
    restart: always
    build:
      dockerfile: Dockerfile.dev
      context: ./nginx
    ports:
      - "3051:80"
  api:
    depends_on:
      - postgres
    build:
      dockerfile: Dockerfile.dev
      context: ./server
    volumes:
      - /app/node_modules
      - ./server:/app
    environment:
      POSTGRES_HOST: postgres
      POSTGRES_PASSWORD: adminuser
      POSTGRES_USER: adminuser
      POSTGRES_DB: movieapp
  client:
    depends_on:
      - postgres
    stdin_open: true
    build:
      dockerfile: Dockerfile.dev
      context: ./client
    volumes:
      - /app/node_modules
      - ./client:/app
  adminer: 
    depends_on: 
      - postgres
    image: adminer
    ports: 
      - "8082:8080"
    restart: always
